slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPReasonView

Displays the reason a PEP solve converged or diverged.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPReasonView(PEP pep,PetscViewer viewer)

Collective on PEP

### Parameter

| pep | - the eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -pep_converged_reason | - print reason for convergence, and number of iterations

### See Also

PEPSetConvergenceTest(), PEPSetTolerances(), PEPGetIterationNumber()

Location: src/pep/interface/pepview.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/pep/examples/tutorials/ex17.c.html
src/pep/examples/tutorials/ex28.c.html
src/pep/examples/tutorials/ex38.c.html
src/pep/examples/tutorials/ex16f90.F90.html
src/pep/examples/nlevp/acoustic_wave_1d.c.html
src/pep/examples/nlevp/acoustic_wave_2d.c.html
src/pep/examples/nlevp/butterfly.c.html
src/pep/examples/nlevp/damped_beam.c.html
src/pep/examples/nlevp/pdde_stability.c.html
src/pep/examples/nlevp/planar_waveguide.c.html
src/pep/examples/nlevp/sleeper.c.html